Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class BasicRibbonBandUI.RoundBorder

java.lang.Object
org.pushingpixels.flamingo.internal.ui.ribbon.BasicRibbonBandUI.RoundBorder

All Implemented Interfaces:
  `Border`

Enclosing class:
  `BasicRibbonBandUI`

protected static class BasicRibbonBandUI.RoundBorder extends Object implements Border
Round border for the ribbon bands.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Color`
`color`
Border color.
`protected Insets`
`insets`
Border insets.

## Constructor Summary

Constructors
Constructor
Description
`RoundBorder(Color color, Insets insets)`
Creates the new border.

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### color

protected Color color
Border color.

### insets

protected Insets insets
Border insets.

## Constructor Details

### RoundBorder

public RoundBorder(Color color, Insets insets)
Creates the new border.

Parameters:
  `color` - Border color.
  `insets` - Border insets.

## Method Details

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`